import React from 'react';
//import { connect } from "react-redux";

import './eventCard.scss';

import Sidebar from '../../components/sidebar/Sidebar';

export class EventCard extends React.Component {
    render() {
        const { event } = this.props;
        console.log( event );
        return (
            <>
                <Sidebar />
                <div className="event-card">
                    <div className="event-card-cap">
                        <div className="event-card-img">
                            <img src={event.mainBannerPicture} alt="image" />
                        </div>
                        <div className="event-card-title">
                            <div className="container-wrap">
                                <h2>{event.title}</h2>
                            </div>
                        </div>
                    </div>                                   
                </div>
            </>
        )
    }
}

export default EventCard;

/*const mapStateToProps = state => {
    return {
        events: state.getEvents.events
    };
};

export default connect(
    mapStateToProps,
    { getAllEvents }
)(Events);*/